server:
  port: 8006

spring:
  application:
    name: mosty-gateway
  redis:
    host: 192.168.1.129
    port: 63799
    password: redis1994Inferno
  cloud:
    nacos:
      discovery:
        register-enabled: true
        namespace: f23c13d4-0935-42e0-850e-a2216125f2ae
        server-addr: 192.168.1.129:18848
        username: nacosDev1
        password: nacosDev1
    gateway:
      globalcors:
        cors-configurations:
          '[/**]':
            allowCredentials: true
            allowedOrigins: "*"
            allowedMethods: "*"
            allowedHeaders: "*"
        add-to-simple-url-handler-mapping: true
      routes:
        - id: mosty-search
          uri: lb://MOSTY-SEARCH
          predicates:
            - Path=/mosty-search/**
          filters:
            - StripPrefix=2
        - id: mosty-base
          uri: lb://mosty-base
          predicates:
            - Path=/mosty-api/mosty-base/**
          filters:
            - StripPrefix=1
        - id: mosty-bkzx
          uri: lb://mosty-bkzx
          predicates:
            - Path=/mosty-api/mosty-bkzx/**
          filters:
            - StripPrefix=1
        - id: mosty-hczx
          uri: lb://mosty-hczx
          predicates:
            - Path=/mosty-api/mosty-hczx/**
          filters:
            - StripPrefix=1
        - id: mosty-jcgl
          uri: lb://mosty-jcgl
          predicates:
            - Path=/mosty-api/mosty-jcgl/**
          filters:
            - StripPrefix=1
        - id: mosty-qwzx
          uri: lb://mosty-qwzx
          predicates:
            - Path=/mosty-api/mosty-qwzx/**
          filters:
            - StripPrefix=1
        - id: mosty-rzzx
          uri: lb://mosty-rzzx
          predicates:
            - Path=/mosty-api/mosty-rzzx/**
          filters:
            - StripPrefix=1
        - id: mosty-sjzx
          uri: lb://mosty-sjzx
          predicates:
            - Path=/mosty-api/mosty-sjzx/**
          filters:
            - StripPrefix=1
        - id: mosty-spxl
          uri: lb://mosty-spxl
          predicates:
            - Path=/mosty-api/mosty-spxl/**
          filters:
            - StripPrefix=1
        - id: mosty-wzzx
          uri: lb://mosty-wzzx
          predicates:
            - Path=/mosty-api/mosty-wzzx/**
          filters:
            - StripPrefix=1
        - id: mosty-yjzl
          uri: lb://mosty-yjzl
          predicates:
            - Path=/mosty-api/mosty-yjzl/**
          filters:
            - StripPrefix=1
        - id: mosty-yszx
          uri: lb://mosty-yszx
          predicates:
            - Path=/mosty-api/mosty-yszx/**
          filters:
            - StripPrefix=1
        - id: mosty-rwzx
          uri: lb://mosty-rwzx
          predicates:
            - Path=/mosty-api/mosty-rwzx/**
          filters:
            - StripPrefix=1
        - id: mosty-other
          uri: lb://mosty-other
          predicates:
            - Path=/mosty-api/mosty-other/**
          filters:
            - StripPrefix=1
        - id: mosty-websocket
          uri: lb://mosty-websocket
          predicates:
            - Path=/mosty-api/mosty-websocket/**
          filters:
            - StripPrefix=1
  main:
    allow-bean-definition-overriding: true

hystrix:
  command:
    fallbackcmd:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 3000

# 开启健康监控
management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always

# 日志
#logging:
#  file: /application/applogs/admin.log
